_module = {
    name: 'Auto Off',
    description: 'Switches off devices after specified time',
    config: {
        tags: 'AutoOff',
        delay: 300
    },
    init: function(config) {
        debugPrint("=== init");
        var _tmr = [];
        $.devices.filter(config.tags).apply(function() {
            for (var i in zway.devices[this.id].instances) {
                if (!_tmr[this.id]) {
                    _tmr[this.id] = [];
                }
                if (_tmr[this.id][i]) {
                    clearTimeout(_tmr[this.id][i]);
                }
                _tmr[this.id][i] = null;
                debugPrint("=== applying to device " + this.id + ":" + i);
                (function(_id, _instance) {
                    zway.devices[_id].instances[_instance].commandClasses[0x26].data.level.bind(function(type, args) {
                        var id = args[0];
                        var instance = args[1];
                        debugPrint("=== triggered for device " + id + ":" + instance);
                        if (_tmr[id][instance]) {
                            clearTimeout(_tmr[id][instance]);
                        }
                        _tmr[id][instance] = null;
                        if (this.valueOf() > 0) {
                            debugPrint(config.delay * 1000);
                            _tmr[id][instance] = setTimeout(function() {
                                zway.devices[id].instances[0].commandClasses[0x26].Set(0);
                                _tmr[id][instance] = null;
                            }, config.delay * 1000);
                        } else {
                            clearTimeout(_tmr[id][instance]);
                            _tmr[id][instance] = null;
                        }
                    }, [_id, _instance]);
                })(this.id, i);
            }
        });
    }
};
