_module = {
    name: 'Switch by sensor',
    description: 'Switch an actuator according to binary sensor state (reported by SensorBinary Report). The sensor must be associated with controller',
    config: {
        sensor_tags: 'SwitchBySensor_Sensor',
        actuator_tags: 'SwitchBySensor_Switch',
        sensor_channel: 0,
        acutator_channel: 0,
        inverse: false
    },
    init: function(config) {
        $.devices.filter(config.sensor_tags).apply(function() {
            var inst = zway.devices[this.id].instances[config.sensor_channel];
            if (inst) {
                var cc = inst.commandClasses[0x30];
                if (cc) cc.data.level.bind(function(type) {
                    var level = this.value;
                    $.devices.filter(config.actuator_tags).apply(function() {
                        try {
                            zway.devices[this.id].instances[config.acutator_channel].commandClasses[0x20].Set((level ^ (config.inverse)) ? 255 : 0);
                        } catch (err) {
                            debugPrint("Failed to execute command: " + err);
                        }
                    });
                });
            }
        });
    }
};
