_module = {
    name: 'Virtual Dimmer',
    description: 'Execute external script with %value% arguement on Set command from other Z-Wave devices selected by tag comming on a specific channel on the controller',
    config: {
        tags: '',
        channel: 0,
        valueCommand: 'do something on set with %value%',
        startChangeCommand: 'do something on start change (%value%)',
        stopChangeCommand: 'do something on stop change'
    },
    init: function(config) {
        ctrlId = zway.controller.data.nodeId.valueOf();
        if (zway.devices[ctrlId] && zway.devices[ctrlId].instances[config.channel]) {
            ccs = zway.devices[ctrlId].instances[config.channel].commandClasses;
            if (ccs[0x20]) {
                ccs[0x20].data.level.bind(function(type) {
                    debugPrint(config.valueCommand.replace('%value%', this.valueOf()));
                });
            }
            if (ccs[0x25]) {
                ccs[0x25].data.level.bind(function(type) {
                    debugPrint(config.valueCommand.replace('%value%', this.valueOf()));
                });
            }
            if (ccs[0x26]) {
                ccs[0x26].data.level.bind(function(type) {
                    debugPrint(config.valueCommand.replace('%value%', this.valueOf()));
                });
                ccs[0x26].data.startChange.bind(function(type) {
                    debugPrint(config.startChangeCommand.replace('%value%', this.valueOf()));
                });
                ccs[0x26].data.stopChange.bind(function(type) {
                    debugPrint(config.stopChangeCommand);
                });
            }
        }
    }
};
